* {
    box-sizing: border-box;
}
header {
    display: flex;
    align-items: center;
    position: relative;
    background: rgb(255, 255, 255, 0.7);
    border: 1px solid #fff;
    backdrop-filter: blur(5px);
    box-shadow: 0 0 5px 0 #e3e3e3;
    padding: 15px;
    gap: 10px;
    border-radius: 10px;
    margin-top: -14px;
    * {
        margin: 0;
        transition: all 0.3s;
    }
    label {
        display: flex;
        flex-direction: column;
        gap: 5px;
        width: auto;
        p {
            font-size: 13px;
            font-weight: 700;
            color: gray;
        }
    }
    input[type=text],
    select {
        background: rgb(255, 255, 255, 0.7);
        border: 1px solid #fff;
        backdrop-filter: blur(5px);
        box-shadow: 0 0 5px 0 #e3e3e3;
        padding: 0px 10px;
        height: 35px;
        display: flex;
        align-items: center;
        border-radius: 5px;
        &:hover {
            opacity: 0.5;
        }
        &:focus {
            background: #ebebeb;
        }
        background: #fff;
    }
    input[type=text] {
        width: 100%;
    }
    .ie {
        display: flex;
    }
}
@media (max-width: 768px) {
    .eh button {
        display: flex;
        justify-content: center !important;
        span {
            display: none;
        }
    }
}

.memolist {
    position: absolute;
    bottom: 90px;
    left: 20px;
    right: 20px;
    top: 180px;
    overflow: auto;
    padding: 0 !important;
    margin: 0 !important;
    gap: 10px;
    .memo {
        margin-bottom: 10px !important;
        background: rgb(255, 255, 255, 0.7);
        border: 1px solid #fff;
        backdrop-filter: blur(5px);
        box-shadow: 0 0 5px 0 #e3e3e3;
        border: none;
        margin: 0 10px;
        height: fit-content;
        position: relative;
        border-radius: 15px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        overflow: hidden;
        h3 {
            margin-bottom: 5px;
            font-weight: 800;
            color: #333;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 2;
            overflow: hidden;
            text-overflow: ellipsis;
        }
        a {
            padding: 20px;
            text-decoration: none;
            width: calc(100% - 140px);
        }
        .memoid {
            font-size: 12px;
            color: gray;
            display: flex;
            flex-direction: column;
        }
        * {
            margin: 0;
        }
        .btn {
            position: absolute;
            right: 20px;
            z-index: 100;
            display: flex;
            gap: 10px;
            button {
                border: none;
                height: 50px;
                width: 50px;
                font-size: 10px;
                border-radius: 100px;
                box-shadow: 0 0 5px 0 #e3e3e3;
                &:nth-child(1) {
                    background-image: url('../img/img.png');
                    background-size: cover;
                }
                &:nth-child(2) {
                    background-image: url('../img/delete.png');
                    background-size: cover;
                }
                transition: all 0.3s;
                &:hover {
                    transform: scale(1.05);
                }
                &:active {
                    transform: scale(0.95);
                }
            }

        }
    }
}

.memolist::-webkit-scrollbar {
    width: 3px;
    display: inline;
    height: 100%;
}

.memolist::-webkit-scrollbar-thumb {
    background: #bcbcbc;
    border-radius: 20px;
}

.memolist::-webkit-scrollbar-thumb:hover {
    background: #929292;

}


/**/
.menubtn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 400;
    display: flex;
    flex-wrap: nowrap;
    gap: 10px;
    button {
        height: 60px;
        width: 150px;
        border: none;
        border-radius: 100px;
        background: transparent;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        box-shadow: inset -3px -3px 0 rgba(0, 0, 0, 0.4) , 0 0 5px 0 #e3e3e3;
        font-size: 16px;
        font-weight: 900;
        padding-bottom: 3px;
        border: none;
        transition: all 0.3s;
        color: #fff;
        &:nth-child(1) {
            background-color: gray;
        }
        &:nth-child(2) {
            background-color: #FF9999;
        }
        &:nth-child(3) {
            background-color: #32B2FF;
        }
        &:nth-child(4) {
            background-color: #81bb7c;
        }
        &:hover {
            transform: scale(1.05);
        }
        &:active {
            transform: scale(0.95);
            opacity: 0.5;
        }
    }
}
@media (max-width: 768px) {
    .menubtn {
        display: flex;
        right: 50%;
        transform: translateX(50%);
        width: 100%;
        align-items: center;
        justify-content: center;
        padding-left: 10px;
        padding-right: 10px;
        button {
            padding: 0;
            font-size: 11px;
        }
    }
}

hr {
    border-top: 1px solid #cecece;
}

.menus {
    max-height: 500px;
    h4 {
        margin: 0;
        margin-top: 15px;
        margin-bottom: 5px;
    }
    ul {
        font-size: 12px;
        margin: 0;
        margin-bottom: 15px;
    }
    a {
        background: #fff;
        width: 100%;
        padding: 10px;
        border-radius: 10px;
        border: 1px solid #cecece;
        margin-top: 10px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        text-decoration: none;
        transition: all 0.3s;
        &:hover {
            opacity: 0.5;
        }
    }
}

.memotitle {
    background: rgb(255, 255, 255, 0.7);
    backdrop-filter: blur(5px);
    box-shadow: 0 0 5px 0 #e3e3e3;
    border: none;
    position: absolute;
    left: 20px;
    right: 20px;
    height: 30px;
    top: 157px;
    padding: 20px;
    border-radius: 10px;
    transition: all 0.3s;
    margin: 0 10px;
    resize: none;
    &:hover , &:active , &:focus {
        box-shadow: 0 0 0 2px gainsboro;
    }
}
.memoarea {
    background: rgb(255, 255, 255, 0.7);
    backdrop-filter: blur(5px);
    box-shadow: 0 0 5px 0 #e3e3e3;
    border: none;
    position: absolute;
    bottom: 15px;
    left: 20px;
    right: 20px;
    top: 204px;
    padding: 20px;
    border-radius: 10px;
    transition: all 0.3s;
    margin: 0 10px;
    resize: none;
    &:hover , &:active , &:focus {
        box-shadow: 0 0 0 2px gainsboro;
    }
}
.memoarea::-webkit-scrollbar {
    width: 3px;
    display: inline;
    height: 100%;
}

.memoarea::-webkit-scrollbar-thumb {
    background: #bcbcbc;
    border-radius: 20px;
}

.memoarea::-webkit-scrollbar-thumb:hover {
    background: #929292;

}
.eh {
    button {
        background: rgb(255, 255, 255, 0.7);
        backdrop-filter: blur(5px);
        box-shadow: 0 0 5px 0 #e3e3e3;
        border: none;
        padding: 10px 10px;
        border-radius: 100px;
        font-size: 10px;
        width: 100%;
        max-width: 100px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-weight: 800;
        img {
            height: 15px;
            width: auto;
        }
    }
}
.menuc {
    label, .p {
        * {margin: 0;}
        p {
            margin-bottom: 7px;
            color: gray !important;
            font-size: 13px;
            font-weight: 700;
        }
    }
    input[type=text],
    select {
        background: rgb(255, 255, 255, 0.7);
        border: 1px solid #fff;
        backdrop-filter: blur(5px);
        box-shadow: 0 0 5px 0 #e3e3e3;
        padding: 0px 10px;
        height: 35px;
        display: flex;
        align-items: center;
        border-radius: 5px;
        width: 100%;
        transition: all 0.3s;
        &:hover {
            opacity: 0.5;
        }
        &:focus {
            background: #ebebeb;
        }
        background: #fff;
    }
    .spanbtn {
        background: #929292;
        color: #fff !important;
        font-size: 10px;
        font-weight: 500 !important;
        margin-left: 10px;
        border-radius: 10px;
        padding: 0 10px;
    }
}
.menus2 {
    h4 {
        margin-bottom: 5px;
    }
    p {
        font-size: 13px;
        margin-top: 0;
    }
}
.imgmode {
    display: flex;
    flex-direction: column;
    label {
        display: flex;
        gap: 10px;
        font-size: 13px;
        align-items: center;
        input {
            margin: 0;
        }
    }
}
/**/
.imin {
    input[type="radio"] {
        width: 14px;
        height: 14px;
        border: 1px solid #d7d7d7;
        border-radius: 50px;
        background: #fff;
        cursor: pointer;
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        position: relative;
        transition: all 0.3s ease-in-out;
    }

    input[type="radio"]:checked {
        background: rgb(0, 102, 255);
        opacity: 1;
        border: solid rgb(0, 102, 255) 1px;
        transition: all 0.3s ease-in-out;
    }

    input[type="radio"]:checked::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        width: 5px;
        height: 5px;
        background-color: #fff;
        border-radius: 50%;
        transform: translate(-50%, -50%);
        transition: all 0.3s ease-in-out;
    }

    input[type="radio"]:focus {
        outline: none;
    }
}

.color {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    * {transition: all 0.3s;}

    input[type="radio"] {
        width: 40px !important;
        height: 40px;
        border: 1px solid #d7d7d7;
        cursor: pointer;
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        transition: all 0.3s ease-in-out;
        position: relative;
        margin: 0;
        left: 0;
        border-radius: 50px;
    }

    input[type="radio"]:hover {
        transition: all 0.3s ease-in-out;
    }

    input[type="radio"]:checked {
        transition: all 0.3s ease-in-out;
        border: 3px solid #fff;
    }

    input[type="radio"]:checked::before {
        content: "";
        position: absolute;
        top: 45%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
        width: 10px;
        height: 20px;
        border-width: 0 6px 6px 0;
    }

    input[type="radio"]:focus {
        outline: none;
    }
    /**/
    .c01 {
        background: #ffffff;
        border: 1px solid gainsboro !important;
        &:checked {
            box-shadow: 0 0 0 3px #ffffff;
            border: 3px solid gainsboro !important;
        }
        &:checked::before {
            border: solid gainsboro;
        }
    }
    .c02 {
        background: #eaeaea;
        &:checked {
            box-shadow: 0 0 0 3px #eaeaea;
        }
        &:checked::before {
            border: solid #fff;
        }
    }
    .c03 {
        background: #fff0bb;
        &:checked {
            box-shadow: 0 0 0 3px #fff0bb;
        }
        &:checked::before {
            border: solid #fff;
        }
    }
    .c04 {
        background: #deffcb;
        &:checked {
            box-shadow: 0 0 0 3px #deffcb;
        }
        &:checked::before {
            border: solid #fff;
        }
    }
    .c05 {
        background: #ffdede;
        &:checked {
            box-shadow: 0 0 0 3px #ffdede;
        }
        &:checked::before {
            border: solid #fff;
        }
    }
    .c06 {
        background: #def5ff;
        &:checked {
            box-shadow: 0 0 0 3px #def5ff;
        }
        &:checked::before {
            border: solid #fff;
        }
    }
    .c07 {
        background: #e5d9ff;
        &:checked {
            box-shadow: 0 0 0 3px #e5d9ff;
        }
        &:checked::before {
            border: solid #fff;
        }
    }
    .c08 {
        background: #aed8b9;
        &:checked {
            box-shadow: 0 0 0 3px #aed8b9;
        }
        &:checked::before {
            border: solid #fff;
        }
    }
}

.p2 li {
    color: rgb(188, 0, 0) !important;
    font-weight: 500;
    margin: 0;
    font-size: 13px;
}
.p2 ul {
    margin: 0;
    padding: 0;
    padding-left: 20px;
}

.memodatacheck {
    background: gray;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 5px;
    p {color: #fff !important;}
    * {
        width: 100%;
        margin: 0;
    }
    select {
        border: 1px solid gray;
        border-radius: 10px;
        padding: 10px 20px;
        margin-top: 10px;
    }
}